package fr.numeco.misis.suividesite.dto;

import java.time.LocalDateTime;
import java.util.Set;

import fr.numeco.misis.enums.Alert;
import fr.numeco.misis.enums.RessourceType;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class GroupDetailsDto {
    private String name; //NOSONAR
    private Set<RessourceType> availableRessourceTypes; //NOSONAR
    private LocalDateTime createdDate; //NOSONAR
    private LocalDateTime lastAnalysis; //NOSONAR
    private Integer errorCount; //NOSONAR
    private Integer pageCount; //NOSONAR
    private Alert alert; //NOSONAR
}