package fr.numeco.misis.suividesite.constraints;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import fr.numeco.misis.suividesite.constraints.validators.MethodeDeCreationDeGroupeValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

@Constraint(validatedBy = MethodeDeCreationDeGroupeValidator.class)
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface MethodeDeCreationDeGroupeConstraint {

    String message() default "Les champs ne sont pas valides";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
